import { useContext } from "react";
import { AppContext } from "../../utils";
import { Text, View } from "react-native";
import { LinearGradient } from "expo-linear-gradient";
import MyButton from "../../Components/Button";

export default function HelpScreen() {
  const appContext = useContext(AppContext);

  return (
    <View
      style={{
        backgroundColor: appContext.appTheme.backgroundColor,
        height: "100%",
      }}
    >
      <Text style={{ color: appContext.appTheme.text }}>FAQ</Text>
      <Text style={{ color: appContext.appTheme.text }}>Give Feedback</Text>

      <LinearGradient
        colors={["#4c669f", "#3b5998", "#192f6a"]}
        style={{
          width: 150,
          height: 150,
          paddingLeft: 15,
          paddingRight: 15,
          borderRadius: 5,
        }}
      >
        <Text
          style={{
            fontSize: 18,
            textAlign: "center",
            margin: 10,
            color: "#ffffff",
            backgroundColor: "transparent",
          }}
        >
          Sign in with Facebook
        </Text>
      </LinearGradient>

      <MyButton title={"test"} onPress={() => console.log("t")} />
    </View>
  );
}
